Family Care - Bug #2379

Exceptional stop 0 1ststep (0000010)
04/01/2021 03:33 PM - Saja Nakhleh

Status:
Priority:
Assignee:
Category:
Target version:

Co-Workers:

Severity:
Category:
Sub-Category:

Step_Description:

Pre_Conditions:

Expected Result:

06/06/2025

Closed
Normal
Saja Nakhleh

Normal

Exceptional stop

Issue #1:
the task should be closed and
disappeared from the tasks table

Issue #2:
the finish dates should be after the start
dates

Issue #3:
while the debts and dues table is empty
the delete action should be disabled

ISsue #4:
the accepted format should be:
3digits/3digits ie: 234/567

ISsue #5:
the field value should be inhirited from
DB and be read only

Start date:

Due date:

% Done:
Estimated time:
Spent time:

Actual Result:

Environment:
Transaction Number:
Username:

Browser:

URL:

Test Case ID:

04/01/2021

0%
0.00 hour
0.00 hour

Issue #1:

the task will keep opeining and if the
user reclicked submit again an error will
be occurred as on the evidence 2.gif

Issue #2:
No validations are applied on the dates
fields. evidence 3.gif

ISsue #3:

although the debts and dues table is
empty, the delete action is enabled and
once it's clicked an error will be occurred
as on evidence 5.gif

Issue #4:
the field accepts any value as on
evidence 4.gif

ISsue #5:
the field is empty and editable as on
evidence 4.gif

Issue #6
A NULL error will be occurred as on the
evidence 7.gif

QA

USR00122/12345678

Chrome

1/4




Issue #6:
the decimal values should be either
validated or accepted

Description

Issue #1:

1. submit new exceptional stop task

2. Open the task using the Auditor step
3. add the mandatory fields

4. Click submit

Issue #2:

1. submit new exceptional stop task

2. Open the task using the Auditor step

3. Navigate to the Aditor decision tab

4. from the field recommendation, select the option: 0000 00 00000 00000+oo00 00 000000 00 000 00 000000000 oo O
00000000 000 oo oooooo oo ooooo ooo oo OO0 oooooooo ooo o *

5. fill the fields as on the attached evidence(3.gif) and observe the validations that applied on the fields' values

Issue #3:

1. submit new exceptional stop task

2. Open the task using the Auditor step

3. Navigate to the Aditor decision tab

4. click delete action bellow (althogh the table is empty)

Issue #4:

1. submit new exceptional stop task

2. Open the task using the Auditor step

3. Navigate to the Aditor decision tab

4. Fill the field (decision number) with the value(12300000#$*& test)

Issue #5:

1. submit new exceptional stop task

2. Open the task using the Auditor step

3. Navigate to the Aditor decision tab

4. observe the value of the field social status

Issue #6:

1. submit new exceptional stop task

2. Open the task using the Auditor user
3. Navigate to the Aditor decision tab

4. for the debts and dues table click add
5. select the change type: D000000 000
6. From the days set the value: .5

History

#1 - 04/04/2021 04:50 PM - Saja Nakhleh

- File 2.GIF added

- File 3.GIF added

- File 5.GIF added

- File 4.GIF added

- Description updated

- Assignee changed from Saja Nakhleh to Rahaf Khashroom
- Expected Result updated

- Actual Result updated

#2 - 04/05/2021 01:40 PM - Saja Nakhleh
- File 7.GIF added
- Description updated

- Expected Result updated
http://185.98.225.148:8089/redmine/issues/1
http://185.98.225.148:8089/redmine/issues/2
http://185.98.225.148:8089/redmine/issues/3
http://185.98.225.148:8089/redmine/issues/4
http://185.98.225.148:8089/redmine/issues/5
http://185.98.225.148:8089/redmine/issues/6

- Actual Result updated

#3 - 04/18/2021 03:08 PM - Rahaf Khashroom
- Status changed from Open to Fixed
- Assignee changed from Rahaf Khashroom to Saja Nakhleh

Issue #1 , Issue #3 and Issue #4 : the changes are reverted and it's working as it should be.

ISsue #4: as requested from mohannad the field should accept only this format: 3digits/4digits ; so the maximum length for this field should be 8.

Issue #2: Fixed

ISsue #5: Fixed ,this field will be hidden from the page if its value is empty.

Issue #6: Fixed

#4 - 04/19/2021 02:22 PM - Saja Nakhleh

- Status changed from Fixed to Closed

Issue #1:

tested and verified.

Issue #2:

tested and verified.

Issue #3:

tested and verified.

Issue #4:

tested and verified.

Issue #5:
verified.

Issue #6:

tested and verified.

Files

2.GIF 298 KB 04/01/2021 Saja Nakhleh

2.GIF 298 KB 04/04/2021 Saja Nakhleh

3.GIF 61.9 KB 04/04/2021 Saja Nakhleh

5.GIF 232 KB 04/04/2021 Saja Nakhleh
4.GIF 62 KB 04/04/2021 Saja Nakhleh
7.GIF 348 KB 04/05/2021 Saja Nakhleh
